---

Galeon 1.0 Released

Says the Galeon project: “At long last, after a year and a half
of work, we’re proud to announce that Galeon 1.0 has been released.
Please proceed immediately to the download page.”

Before proceeding, consider:

“To install galeon you will need Gnome and Mozilla. The current
version of Galeon has been tested with Gnome 1.4 and Mozilla 0.9.5.
Other versions may or may not work. Mozilla versions older than
0.9.5 are only supported by galeon releases 0.12.3 and older.”
Despite that, it appears that the RPM’s provided are dependent on
Mozilla 0.9.6.

Galeon
download page

Get the Free Newsletter!

Subscribe to Developer Insider for top news, trends, & analysis